.history-section{
    margin: 0;
    padding: 8px;
    width: 200px;
    background-color: #f8f7fc;
    position: absolute;
    height: 100vh;
    text-align: center;
    overflow-x: hidden;
    transition: 0.5s;
    z-index: 99;
    top:98px;
    border-radius: 0 9px 9px 0;
    left: 50px;
    position: fixed;
}
.history-header-section {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #f8f7fc;
  padding: 10px 14px;
  border-radius: 12px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.06);
  margin-bottom: 15px;
  border: none;
}
.btn-sidebar-header{
    display: none;
    background:none;
    font-weight: bold;
    font-size: 26px;
    width: auto;
    border: none;
    margin-right: 7px;
    cursor: pointer;
}
.btn-sidebar-close {
  background: transparent;
  color: #3a256f;
  font-weight: bold;
  font-size: 22px;
  border: none;
  padding: 6px 10px;
  cursor: pointer;
  border-radius: 8px;
  transition: all 0.2s ease;
}
.btn-sidebar-close:hover {
  background-color: rgba(94, 74, 176, 0.1);
  color: #5e4ab0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.08);
  transform: scale(1.05);
}
.titles-container-index-history {
    position: sticky;
    top: 0;
    background-color: #f8f7fc;
    z-index: 10; 
    padding: 9px 0;
}
.titles-container-index-history > h2 {
  font-size: 1.1rem;
  color: #3a256f;
  font-weight: 600;
  margin: 0;
  letter-spacing: 0.3px;
}
.history-content {
    max-height: 74%;
    overflow-y: auto;
}
.history-element-container{
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 7px;
    padding: 5px 0;
}
.history-element-container:hover {
  background-color: rgba(122, 103, 200, 0.08); /* Hover subtil */
  border-radius: 6px;
}
.btn-delete-element-history{
    border: none;
    font-weight: bold;
    color: red;
}
.fa-trash {
  margin-left: 10px;
  padding: 6px;
  border: none;
  font-size: 16px;
  cursor: pointer;
  background-color: transparent;
  color: #b00020;
  border-radius: 6px;
  transition: background-color 0.2s ease, transform 0.2s ease;
}

.fa-trash:hover {
  background-color: rgba(176, 0, 32, 0.1);
  transform: scale(1.1); 
}


#sidebar.stopped {
  position: absolute;
}

@media screen and (max-width: 940px){
    .history-section{
        left: -100%;
        box-shadow: 10px 5px 0 0 rgba(0, 0, 0, 0.5);
    }
    .btn-sidebar-header{
        display: block;
    }
}

@media screen and (min-width: 940px){
    .btn-sidebar-close{
        display: none;
    }
}
